// pages/access/access.js
import httpRequestApi from '../../utils/APIRequest';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    PhotoBoxInfo: {},
    likeStatus: false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    this.getPhoneBoxInfo(options.id);
  },

  getPhoneBoxInfo(uid){
    httpRequestApi.getPhotoBoxInfoById({ uid }).success((res) => {
      this.setData({
        PhotoBoxInfo: res.data.data
      })
    })
  },

  //预览图片
  preview: function ({ currentTarget }) {
    console.log(currentTarget)
    const imageUrl = [currentTarget.id];
    wx.previewImage({
      urls: imageUrl
    })
  },

  userLike: function ({ currentTarget }) {
    console.log(currentTarget)
    console.log(this.data.PhotoBoxInfo.isLike)
    if(!this.data.PhotoBoxInfo.isLike) {
      httpRequestApi.setPhotoBoxLike({ target: currentTarget.id }).success((res) => {
        this.setData({
          likeStatus: res.data.data
        })
        this.getPhoneBoxInfo(currentTarget.id);
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})